Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class DynamicRequestEndpoint

    java.lang.Object
      org.mule.endpoint.DynamicURIInboundEndpoint
          org.mule.module.ibeans.spi.support.DynamicRequestEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Startable, Stoppable, MessageSource, MessageRequesting

Direct Known Subclasses:
  CallRequestEndpoint

    public class DynamicRequestEndpoint

extends DynamicURIInboundEndpoint

A dynamic request endpoint is used in conjunction with the `Call` annotation when there are no `Body`, `BodyParam` or `HeaderParam` annotations on a method and allows a dynamic `InboundEndpoint` to be created. This endpoint is then used via the Mule `MessageRequester` interface to make a specific request to a transport for a message.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `DynamicRequestEndpoint.NullInboundEndpoint`

Field Summary
`static String` | `EVAL_PARAM_PROPERTY`
`protected Log` | `logger` logger used by this class
`protected TemplateParser` | `parser`
`protected String` | `uriTemplate` The URI template used to construct the actual URI to send the message to.

Fields inherited from class org.mule.endpoint.DynamicURIInboundEndpoint
`endpoint`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`DynamicRequestEndpoint(MuleContext muleContext, EndpointBuilder builder, String uriTemplate)`

Method Summary
`boolean` | `equals(Object o)`
`protected EndpointURI` | `getEndpointURIForMessage(MuleEvent event)`
`protected Map<String,Object>` | `getPropertiesForTemplate(MuleMessage message)`
`int` | `hashCode()`
`protected String` | `parseURIString(String uri, MuleMessage message)`
`MuleMessage` | `request(long timeout, MuleEvent event)`
`protected void` | `validateUriTemplate(String uri)`

Methods inherited from class org.mule.endpoint.DynamicURIInboundEndpoint
`getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, request, setEndpointURI, setFlowConstruct, setListener, start, stop`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVAL_PARAM_PROPERTY

    public static final String EVAL_PARAM_PROPERTY

See Also:
  Constant Field Values

### logger

    protected final transient Log logger

  logger used by this class

### parser

    protected TemplateParser parser

### uriTemplate

    protected String uriTemplate

  The URI template used to construct the actual URI to send the message to.

Constructor Detail

### DynamicRequestEndpoint

    public DynamicRequestEndpoint(MuleContext muleContext,
                                  EndpointBuilder builder,
                                  String uriTemplate)
                           throws MalformedEndpointException

Throws:
  `MalformedEndpointException`

Method Detail

### validateUriTemplate

    protected void validateUriTemplate(String uri)
                                throws MalformedEndpointException

  Throws:
    `MalformedEndpointException`

### getPropertiesForTemplate

    protected Map<String,Object> getPropertiesForTemplate(MuleMessage message)

### getEndpointURIForMessage

    protected EndpointURI getEndpointURIForMessage(MuleEvent event)
                                            throws MessagingException

  Throws:
    `MessagingException`

### parseURIString

    protected String parseURIString(String uri,
                                    MuleMessage message)

### request

    public MuleMessage request(long timeout,
                               MuleEvent event)
                        throws Exception

  Throws:
    `Exception`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `DynamicURIInboundEndpoint`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `DynamicURIInboundEndpoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.